Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class ProfileFactory

    java.lang.Object
      com.bea.p13n.usermgmt.profile.ProfileFactory

    public class ProfileFactory

extends Object

Factory class for retrieving user and group profiles. This will return an implementation of ProfileWrapper, which is a lightweight object that knows how to access the correct ProfileManager session beans based on the profile identity it is initialized with.

See Also
  `ProfileWrapper`

Constructor Summary
`ProfileFactory()`

Method Summary
`static AnonymousProfileWrapper` | `createAnonymousProfile()` Create a new AnonymousProfileWrapper with no possibility of being tracked.
`static CustomProfileIdentity` | `createCustomProfileIdentity(String primaryEntity, String secondaryEntity)` Create a CustomProfileIdentity object.
`static MixedProfileIdentity` | `createMixedProfileIdentity(String primaryEntity, String secondaryEntity, ProfileType profileType)` Create a MixedProfileIdentity object.
`static ProfileIdentity` | `createProfileIdentity(String username, String groupname)` Create a ProfileIdentity object.
`static PhantomProfileWrapper` | `getPhantomProfile(CustomProfileIdentity id)` Create a PhantomProfileWrapper based on a custom identity.
`static PhantomProfileWrapper` | `getPhantomProfile(MixedProfileIdentity id)` Create a PhantomProfileWrapper based on a mixed custom identity.
`static PhantomProfileWrapper` | `getPhantomProfile(ProfileIdentity id)` Create a PhantomProfileWrapper for the given ProfileIdentity.
`static PhantomProfileWrapper` | `getPhantomProfile(String username, String groupname)` Create a PhantomProfileWrapper for the given username and groupname.
`static ProfileWrapper` | `getProfile(CustomProfileIdentity id)` Create a ProfileWrapper based on a custom identity.
`static ProfileWrapper` | `getProfile(CustomProfileIdentity id, boolean validate)` Create a ProfileWrapper based on a custom identity.
`static ProfileWrapper` | `getProfile(MixedProfileIdentity id)` Create a ProfileWrapper based on a mixed custom identity.
`static ProfileWrapper` | `getProfile(MixedProfileIdentity id, boolean validate)` Create a ProfileWrapper based on a mixed custom identity.
`static ProfileWrapper` | `getProfile(ProfileIdentity id)` Create a ProfileWrapper for the given ProfileIdentity.
`static ProfileWrapper` | `getProfile(ProfileIdentity id, boolean validate)` Create a ProfileWrapper for the given ProfileIdentity.
`static ProfileWrapper` | `getProfile(String username, String groupname)` Create a ProfileWrapper for the given username and groupname.
`static ProfileWrapper` | `getProfile(String username, String groupname, boolean validate)` Create a ProfileWrapper for the given username and groupname.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileFactory

    public ProfileFactory()

Method Detail

### createProfileIdentity

    public static ProfileIdentity createProfileIdentity(String username,
                                                        String groupname)

  Create a ProfileIdentity object. This can later be used to create a ProfileWrapper, or simply to identify a profile.

  Parameters
    `username` - the username of the profile
    `groupname` - the groupname of the profile
  Returns
    a ProfileIdentity created from the specified name(s).

### createCustomProfileIdentity

    public static CustomProfileIdentity createCustomProfileIdentity(String primaryEntity,
                                                                    String secondaryEntity)

  Create a CustomProfileIdentity object. This can later be used to create a ProfileWrapper, or simply to identify a profile. The CustomProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The CustomProfileIdentity primaryEntity and secondaryEntity names are custom epplication defined entity names.

  Parameters
    `primaryEntity` - the primary custom name of the profile
    `secondaryEntity` - the optional secondary custom name of the successor profile
  Returns
    a ProfileIdentity created from the specified name(s).

### createMixedProfileIdentity

    public static MixedProfileIdentity createMixedProfileIdentity(String primaryEntity,
                                                                  String secondaryEntity,
                                                                  ProfileType profileType)

  Create a MixedProfileIdentity object. This can later be used to create a ProfileWrapper, or simply to identify a profile. The MixedProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The MixedProfileIdentity primaryEntity is a user principal name and the secondaryEntity a custom epplication defined entity name.

  Parameters
    `primaryEntity` - the user principal of the profile
    `secondaryEntity` - the optional custom name of the successor profile
    `profileType` - typically ProfileType.REGISTERED
  Returns
    a ProfileIdentity created from the specified name(s).

### getProfile

    public static ProfileWrapper getProfile(String username,
                                            String groupname)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper for the given username and groupname. One or the other may be null, but not both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager.

  Parameters
    `username` - the username of the profile
    `groupname` - the groupname of the profile
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(String username,
                                            String groupname,
                                            boolean validate)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper for the given username and groupname. One or the other may be null, but not both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager.

  Parameters
    `username` - the username of the profile
    `groupname` - the groupname of the profile
    `validate` - if true, validate the ProfileIdentity by confirming entity exists
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(ProfileIdentity id)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper for the given ProfileIdentity. The id can have a username, a groupname, or both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager.

  Parameters
    `id` - the profile identity containg user/group name
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(CustomProfileIdentity id)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper based on a custom identity. The CustomProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The CustomProfileIdentity primaryEntity and secondaryEntity names are custom epplication defined entity names.

  Parameters
    `id` - the custom profile identity
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(MixedProfileIdentity id)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper based on a mixed custom identity. The MixedProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The MixedProfileIdentity primaryEntity is a user principal name and the optional secondaryEntity name is a custom epplication defined entity names.

  Parameters
    `id` - the mixed profile identity
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(ProfileIdentity id,
                                            boolean validate)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper for the given ProfileIdentity. The id can have a username, a groupname, or both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager.

  Parameters
    `id` - the profile identity containg user/group name
    `validate` - if true, validate the ProfileIdentity by confirming entity exists
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(CustomProfileIdentity id,
                                            boolean validate)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper based on a custom identity. The CustomProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The CustomProfileIdentity primaryEntity and secondaryEntity names are custom epplication defined entity names.

  Parameters
    `id` - the custom profile identity
    `validate` - if true, validate the ProfileIdentity by confirming entity exists
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getProfile

    public static ProfileWrapper getProfile(MixedProfileIdentity id,
                                            boolean validate)
                                     throws RemoteException,
                                            ProfileNotFoundException

  Create a ProfileWrapper based on a mixed custom identity. The MixedProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The MixedProfileIdentity primaryEntity is a user principal name and the optional secondaryEntity name is a custom epplication defined entity names.

  Parameters
    `id` - the mixed profile identity
    `validate` - validate the CustomProfileIdentity by confirming entitie(s) exist
  Returns
    an initialized ProfileWrapper
  Throws
    `ProfileNotFoundException` - if the given identity(ies) do not exist
    `RemoteException`

### getPhantomProfile

    public static PhantomProfileWrapper getPhantomProfile(String username,
                                                          String groupname)

  Create a PhantomProfileWrapper for the given username and groupname. One or the other may be null, but not both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager. The `PhantomProfileWrapper` differs from a normal `ProfileWrapper` in that the user and/or group do not need to exist to use the wrapper.

  Parameters
    `username` - the username of the profile
    `groupname` - the groupname of the profile
  Returns
    an initialized PhantomProfileWrapper

### getPhantomProfile

    public static PhantomProfileWrapper getPhantomProfile(ProfileIdentity id)

  Create a PhantomProfileWrapper for the given ProfileIdentity. The id can have a username, a groupname, or both. If the username is null, the ProfileWrapper will access the group's profile. If the groupname is null, it will access the user's profile with no default explicit successor. If both are provided, it will access the user's profile and use the provided groupname as an explicit successor when calling the ProfileManager. The `PhantomProfileWrapper` differs from a normal `ProfileWrapper` in that the user and/or group do not need to exist to use the wrapper.

  Parameters
    `id` - the profile identity containg user/group name
  Returns
    an initialized PhantomProfileWrapper

### getPhantomProfile

    public static PhantomProfileWrapper getPhantomProfile(CustomProfileIdentity id)

  Create a PhantomProfileWrapper based on a custom identity. The CustomProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The CustomProfileIdentity primaryEntity and secondaryEntity names are custom epplication defined entity names.

  Parameters
    `id` - the profile identity containg custom entity names
  Returns
    an initialized PhantomProfileWrapper

### getPhantomProfile

    public static PhantomProfileWrapper getPhantomProfile(MixedProfileIdentity id)

  Create a PhantomProfileWrapper based on a mixed custom identity. The MixedProfileIdentity can have primary and secondary entity names, analogous to the manner in which a ProfileIdentity may have user and/or group names. The MixedProfileIdentity primaryEntity is a user principal name and the secondaryEntity name is a custom application defined entity name.

  Parameters
    `id` - the profile identity containg user/group name
  Returns
    an initialized PhantomProfileWrapper

### createAnonymousProfile

    public static AnonymousProfileWrapper createAnonymousProfile()

  Create a new AnonymousProfileWrapper with no possibility of being tracked. When this ctor is used, we cannot track anonymous users; we need a session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.